Package org.jfree.layouting.renderer.model.table.cols

## Class TableColumnGroup

- java.lang.Object
- - org.jfree.layouting.renderer.model.table.cols.TableColumnGroup

-     public class TableColumnGroup
      extends java.lang.Object

  A table column group contains one or more table columns. The table column group is a normalized element.

  A column group may defined a shared background for all columns. The column group may define a minimum width. If the contained cells do not use all of that granted width, they get some extra padding.

  As Mozilla does not take the width of a colgroup into account, we will neither.
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TableColumnGroup​()` |
    `TableColumnGroup​(Border border)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addColumn​(TableColumn column)` |
    `void` | `freeze​()` |
    `Border` | `getBorder​()` |
    `TableColumn` | `getColumn​(int pos)` |
    `int` | `getColumnCount​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TableColumnGroup

          public TableColumnGroup​(Border border)

    - #### TableColumnGroup

          public TableColumnGroup​()

  - ### Method Detail

    - #### freeze

          public void freeze​()

    - #### addColumn

          public void addColumn​(TableColumn column)

    - #### getBorder

          public Border getBorder​()

    - #### getColumnCount

          public int getColumnCount​()

    - #### getColumn

          public TableColumn getColumn​(int pos)